Patch Workspace
curl --request PATCH \
--url https://api.example.com/v1/workspace \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"ai_auto_link": true,
"ai_confidence_threshold": 0.5,
"ai_proof_window_days": 186,
"description": "<string>",
"industry": "<string>",
"name": "<string>",
"slug": "<string>",
"sso_enforced": true,
"timezone": "<string>"
}
'import requests
url = "https://api.example.com/v1/workspace"
payload = {
"ai_auto_link": True,
"ai_confidence_threshold": 0.5,
"ai_proof_window_days": 186,
"description": "<string>",
"industry": "<string>",
"name": "<string>",
"slug": "<string>",
"sso_enforced": True,
"timezone": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
ai_auto_link: true,
ai_confidence_threshold: 0.5,
ai_proof_window_days: 186,
description: '<string>',
industry: '<string>',
name: '<string>',
slug: '<string>',
sso_enforced: true,
timezone: '<string>'
})
};
fetch('https://api.example.com/v1/workspace', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"ctx": {},
"input": "<unknown>"
}
]
}settings
Patch Workspace
PATCH /settings/workspace — update workspace settings (admin only).
PATCH
/
v1
/
workspace
Patch Workspace
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Required range:
0 <= x <= 1Required range:
7 <= x <= 365Available options:
dark, light Maximum string length:
2000Required string length:
2 - 100Pattern:
^[a-z0-9](?:[a-z0-9-]{0,58}[a-z0-9])?$Response
Successful Response
⌘I